• [C# CONNECT update7] Parametric Solids

    Hi,

    I'd need some explanations about the new element type "Parametric Solid" (i.e that kind of solid created by extrusion).

    I noticed that the MsdElementType is set to106 (unnamed, since this number is not mapped in the MsdElementType enum…

  • [CONNECT C#] How to apply pick lists to other data types than strings

    I sucessfully managed to create and apply PickLists to the properties in my Item Types. Really useful!

    My problem is that PickList values are strings and I get a data converison error if I try to use the PickList on anything else than string properties…

  • [CONNECT C++] ElementAgenda, IElementSet

    ElementAgenda.BuildFromElementSet (IElementSetP elementSet, ModifyElementSource source) accepts an IElementSet.

    The documentation for IElementSet reveals only ways to enumerate its contents, not ways to built the set.  How does one create an ElementSe…

  • [i-model SDK] Bentley.GeometryNET vs Bentley.GeometryNET.Common

    Hello,

    I'm looking into the Bentley i-model SDK (V1) to add support for reading and writing i-model files. While doing some investigations I noticed there are two DLLs/namespaces that have very similar sets of classes in them.

    The Bentley.GeometryNET…

  • CE update 4使用C#获取Element的Link File

    我想获取Element的链接文件,在V8I版本中有DesignLinks.dll库其中有ILinkManager,ILinkTree。可以获取file link。

    但是CE update1版本没有DesignLinks.dll。只在Bentley.DgnPlatformNet.dll中找到DgnLinkManager,但该类中只提供了AddFileToElement方法,没有Read方法。

    在update4版本中连DgnLinkManager类也没提供了。那我在CE版本中怎样才能获取到链接的文件…

  • different Element classes

    Hi,

    with the function

    Element.GetFromElementRef

    I get a

    Bentley.DgnPlatformNET.Elements.Element object

    then I need to read the XData of the object. Till now i used

    element.GetXData1(AppName);

    but this functions need a

    Bentley.Interop.MicroStationDGN…

  • Draw perpendicular line from nearest located element to a known point

    Hi all,

    I want to write a VBA macro which will allow me to draw a perpendicular line from the nearest located element (located from the known point) to a known point. 
    Illustration below

    Here are my questions
    1. How do I locate the nearest element based on…

  • How Bentley are shooting themselves in the foot

    I spent some time thinking whether to write a reaction to older discussions) about MicroStation SDK availability and recent steps leading to closing of “a world of MicroStation programming”. Originally, I thought about “What is Bentley long term strategy…